## spacescope

spacescope — Simple stereo visualizer

## Properties

GstSpaceScopeStyle | style | Read / Write / Construct

## Types and Values

struct | GstSpaceScope

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstAudioVisualizer-BadGstAudioVisualizers
                        ╰── GstSpaceScope

## Description

Spacescope is a simple audio visualisation element. It maps the left and right channel to x and y coordinates.

### Example launch line

    1

    gst-launch audiotestsrc ! audioconvert ! spacescope ! ximagesink

## Synopsis

### Element Information

plugin | audiovisualizers
author | Stefan Kost <ensonic@users.sf.net>
class | Visualization

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-raw, format=(string)S16LE, layout=(string)interleaved, rate=(int)[ 8000, 96000 ], channels=(int)2, channel-mask=(bitmask)0x0000000000000003

name | src
direction | source
presence | always
details | video/x-raw, format=(string)BGRx, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Functions

## Types and Values

### struct GstSpaceScope

    struct GstSpaceScope;

## Property Details

### The `“style”` property

      “style”                    GstSpaceScopeStyle

Drawing styles for the space scope display.

Flags: Read / Write / Construct

Default value: draw dots (default)

## See Also

goom